/**
 * This file contains all the resources that are required for the template client side API.
 * 
 * Resources dictionary, each object accept the following parameters:
 * 
 * - "file": 	 (required) The file name to load
 * - "min":      (optional) true if file is already minified and doesn"t required minification, by default will minify
 * - "platform": (optional) string containing optional platforms, e.g. ("nativeApp,webApp")
 * - "device":   (optional) string containing optional devices, e.g. ("iphone,symbian,android")
 * 
 * The item will be evaluated as "OR" between "platform" and "device" items and "AND" between platform and device
 */
var __resources = 
/* {RESOURCES_START} */
{
	"mobileAppApi.js":
	{
		"type": "js",
		"files":
		[
			{ "file": "api/conduitApi.js", "min": true },
			{ "file": "types.js" },
			{ "file": "app/core/js/utils/inheritance.js" },
			{ "file": "api/communication/comUtils.js" },
			{ "file": "api/communication/channels/iframe/iframeReceiver.js" },
			{ "file": "api/communication/channels/iframe/iframeSender.js" },
			{ "file": "api/communication/channels/postMessage/postMsgReceiver.js" },
			{ "file": "api/communication/channels/postMessage/postMsgSender.js" },
			{ "file": "api/communication/channels/native/nativeMsgReceiver.js" },
			{ "file": "api/communication/channels/native/nativeMsgSender.js" },
			{ "file": "api/communication/comSlave.js" },
			{ "file": "api/communication/slaveDemux.js" },
			{ "file": "api/communication/rpcSender.js" },
			{ "file": "api/communication/eventsHandler.js" },
			{ "file": "api/communication/slaveMux.js" },
			{ "file": "pages/common/js/api/baseAudioDriver.js" },
			{ "file": "pages/common/js/api/webAudioDriver.js" },
			{ "file": "pages/common/js/api/nativeAudioDriver.js" },
			{ "file": "pages/common/js/api/conduitApiImpl.js" },
		   	{ "file": "api/innerApi.js" }
		]
	}
}
/* {RESOURCES_END} */
;
