$(function ()
{	
	$('#hideInfoBarBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			// perform vibration
			conduitApi.app.hideInfoBar();
		} 
		else 
		{
			alert('app not supported');
		}
	});
	
	$('#showInfoBarBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			// perform vibration
			conduitApi.app.showInfoBar();
		} 
		else 
		{
			alert('app not supported');
		}
	});

	$('#toggleInfoBarBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			// perform vibration
			conduitApi.app.toggleInfoBar();
		} 
		else 
		{
			alert('app not supported');
		}
	});

	$('#isInfoBarVisibleBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			// perform vibration
			conduitApi.app.isInfoBarVisible(function (visable) 
			{
				$('#txtIsInfoBarVisible').val(visable);
			}, function () {});
		} 
		else 
		{
			alert('app not supported');
		}
	});

	$('#hideNavBarBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			// perform vibration
			conduitApi.app.hideNavigationBar();
		} 
		else 
		{
			alert('app not supported');
		}
	});
	
	$('#showNavBarBtn').tap(function () 
	{
		if (conduitApi.app.isSupported())
		{
			// perform vibration
			conduitApi.app.showNavigationBar();
		} 
		else 
		{
			alert('app not supported');
		}
	});

	$('#toggleNavBarBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			// perform vibration
			conduitApi.app.toggleNavigationBar();
		} 
		else 
		{
			alert('app not supported');
		}
	});
	
	$('#isNavBarVisibleBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			conduitApi.app.isNavigationBarVisible(
			function (result) 
			{
				$('#txtIsNavBarVisible').val(result);
			},
			function () 
			{
				$('#txtIsNavBarVisible').val('Fail!');
			}
			);
		} 
		else 
		{
			alert('app not supported');
		}
	});


	var buttonsArr = [];

	$('#addInfoBarBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			conduitApi.app.addInfoBarButton(
			function (btnHandle) 
			{
				buttonsArr.push(btnHandle);
			}, 
			function () {},
			function() 
			{
				alert('I was clicked!');
			},
			'img/btnImg.png',
			$('#checkBoxAddToRight').is(':checked'));
		} 
		else 
		{
			alert('app not supported');
		}
	});
	
	$('#removeInfoBarBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			if (buttonsArr.length > 0) 
			{
				conduitApi.app.removeInfoBarButton(null, null, buttonsArr.pop());
			}
		} 
		else 
		{
			alert('app not supported');
		}
	});

	$('#removeAllInfoBarBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			conduitApi.app.removeAllInfoBarButtons();
		} 
		else 
		{
			alert('app not supported');
		}
	});
	

	$('#openLinkBtn').tap(function () 
	{
		function urlChangeCb(url) 
		{
			console.log('url changed to ' + url);
		}
		
		function cbSuccess(handle) 
		{
			console.log('set handle to ' + handle);
			openLinkHandle = handle;
		}
		
		if (conduitApi.app.isSupported()) 
		{
			isModal = $('#checkBoxIsModal').is(':checked');
			conduitApi.app.openLink(cbSuccess, null,
								{
									url: $('#txtUrl').val(),
									title: 'Test API',
									isModal: isModal
								}, urlChangeCb);
			setTimeout(setRect, 10000);
//			setTimeout(closeLink, 15000);
		} 
		else 
		{
			alert('app not supported');
		}
	});

	$('#closeAppBtn').tap(function () 
	{
		if (conduitApi.app.isSupported()) 
		{
			conduitApi.app.closeApp();
		} 
		else 
		{
			alert('app not supported');
		}
	});
});

var openLinkHandle;
var isModal = false;
function closeLink() 
{
	function cbFail() 
	{
		console.log('closeLink fail');
	}
	
	function cbSuccess() 
	{
		console.log('closeLink success');
	}
	if (conduitApi.app.isSupported()) 
	{
		conduitApi.app.closeLink(cbSuccess, cbFail, openLinkHandle);
	} 
	else 
	{
		alert('app not supported');
	}	
}

function setRect()
{
	if (!isModal) 
	{
		return;
	}
	
	function cbFail() 
	{
		console.log('setRect fail');
	}
	
	function cbSuccess() 
	{
		console.log('setRect success');
	}
	if (conduitApi.app.isSupported()) 
	{
		conduitApi.app.setLinkRect(cbSuccess, cbFail, openLinkHandle, 
		{
			left: 50,
			top: 50,
			width: 150,
			height: 150
		});
		
	} 
	else 
	{
		alert('app not supported');
	}
	
	
}
