$(function ()
{
	// register the test of the accelerometer.getLastAcceleration funciton.
	$('#getLocationBtn').tap(function () 
	{
		var cbSuccess = function (position)
		{
			$('#txtLatitude').val(position.coords.latitude);
			$('#txtLongitude').val(position.coords.longitude);
			if (position.coords.altitude)
			{
				$('#txtAltitude').val(position.coords.altitude);
				$('#txtAltitudeAccuracy').val(position.coords.altitudeAccuracy);
				
				$('#txtAccuracy').val(position.coords.accuracy);
			
			$('#txtHeading').val(position.coords.heading);
			$('#txtSpeed').val(position.coords.speed);
			$('#txtTimestamp').val(new Date(position.timestamp));
			}
			
			
		};
		
		var cbFail = function (error)
		
		{
			var errorCodeStr = '';
			switch(error.code) 
			{
				case conduitApi.platform.geo.ErrorCodes.UNKNOWN_ERROR:
					errorCodeStr = 'Unknown Error';
				break;
				case conduitApi.platform.geo.ErrorCodes.PERMISSION_DENIED:
					errorCodeStr = 'Permission Denied';
				break;
				case conduitApi.platform.geo.ErrorCodes.POSITION_UNAVAILABLE:
					errorCodeStr = 'Position Unavailable';
				break;
				case conduitApi.platform.geo.ErrorCodes.TIMEOUT:
					errorCodeStr = 'Timeout';
				break;
			}
			alert('code: ' + errorCodeStr + '\n' +
            	'message: ' + error.message + '\n');		
		};
		if (conduitApi.platform.geo.isSupported()) 
		{
			// perform vibration
			conduitApi.platform.geo.getLocation(
				cbSuccess, 
				cbFail,
				{
					enableHighAccuracy: $('#cbEnableHighAccuracy').is(':checked'),
					timeout: +$('#txtTimeout').val(),
					maximumAge: +$('#txtMaximumAge').val()
				}
				);
		}
		else 
		{
			alert('Geo Location not supported');
		}
	});

});