(function($, originalAnimateMethod) {

	var webKitEnabled = ('WebKitCSSMatrix' in window && 'm11' in new WebKitCSSMatrix());
	
	jQuery.fn.animate = function(prop, speed, easing, callback) {
		
		this.data('left', prop.hasOwnProperty('left')?prop['left'] : (this.data('left') || 0));
		this.data('top', prop.hasOwnProperty('top')?prop['top'] : (this.data('top') || 0));
		this.data('width', prop.hasOwnProperty('width')?prop['width'] : (this.data('width') || 0));
		this.data('height', prop.hasOwnProperty('height')?prop['height'] : (this.data('height') || 0));
		
		if ((DEVICE === deviceTypeEnum.android && PLATFORM === platformEnum.nativeApp) || 
			!webKitEnabled) {
			return originalAnimateMethod.apply(this, arguments);
		}
		
		var left = this.data('left');
		var top = this.data('top');
		var width = this.data('width');
		var height = this.data('height');
		
		var scale = 1;
		var origWidth = this.data('origWidth');
		var origHeight = this.data('origHeight');
		var that = this;
		
		// need to unbind before calling the callback to prevent
		// calling of the same callback in each transition.
		var innerCallback = function () 
		{
			that.unbind('webkitTransitionEnd');
			callback();
		};

		if (width) 
		{
			left += (width - origWidth)/2;
			top += (height - origHeight)/2;
			scale = width/origWidth;
		}
		
		left = Math.round(left);
		top = Math.round(top);
		
		if (typeof(speed) === 'undefined') 
		{
			speed = 0;
		}
		
		if (typeof callback === 'function') 
		{
			this.unbind('webkitTransitionEnd').bind('webkitTransitionEnd', innerCallback);
		}
		
	    this.css(
		{
			'-webkit-transition': 'all ' + speed + 'ms',
			'-webkit-transform': 'translate3d(' + 
				left + 
				'px,' +
				top + 
				'px,0) scale(' +
				scale +
				')'
		});
	};

})(jQuery, jQuery.fn.animate);